--- control	2011-10-07 14:01:20.000000000 +0200
+++ control.new	2011-10-08 15:04:08.000000000 +0200
@@ -46,14 +46,14 @@
  .
  It provides a simple interface which makes importing and organizing digital
  photographs a "snap". digiKam enables you to manage large numbers of
- digital photographs in Albums and to organize these photographs for easy
+ digital photographs in albums and to organize these photographs for easy
  retrieval using tags (keywords), captions, collections, dates, geolocation
  and searches. It has many features for viewing, organizing, processing and
- sharing your images. Thus, digiKam is a formidable Digital Asset Management
+ sharing your images. Thus, digiKam is a formidable digital asset management
  (DAM) software including powerful image editing functions. 
  .
- An easy-to-use Camera interface is provided, that will connect to your
- digital camera and download photographs directly into digiKam Albums.
+ An easy-to-use camera interface is provided, that will connect to your
+ digital camera and download photographs directly into digiKam albums.
  More than 1000 digital cameras are supported by the gphoto2 library.
  Of course, any media or card reader supported by your operating system
  will interface with digiKam. 
@@ -61,7 +61,7 @@
  digiKam incorporates a fast Image Editor with many image editing tools.
  You can use the Image Editor to view your photographs, comment and rate
  them, correct, enhance and alter them. The editing power can be easily
- extended by a set of plugins, the Kde Image Plugins Interface (manual) 
+ extended by a set of plugins, the KDE Image Plugins Interface (manual) 
  .
  While digiKam remains easy to use, it provides professional level features
  by the dozens. It is fully 16 bit enabled including all available plugins,
@@ -90,14 +90,14 @@
  digiKam can also make use of the KIPI image handling plugins to
  extend its capabilities even further for photo manipulations,
  import and export, etc. The kipi-plugins package contains many
- very useful extentions.
+ very useful extensions.
 
 Package: showfoto
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, digikam (= ${binary:Version})
 Recommends: dolphin, kipi-plugins
 Description: image viewer/editor for KDE
- Showphoto is the standalone image editor of the  digiKam project.
+ showFoto is the standalone image editor of the digiKam project.
  .
  It runs without digiKam images database support, but provides all Image Editor
  functions.
@@ -107,16 +107,16 @@
 Section: debug
 Depends: ${shlibs:Depends}, ${misc:Depends}, digikam (= ${binary:Version}), showfoto (= ${binary:Version}), kdelibs5-dbg
 Priority: extra
-Description: debugging symbols for digikam
- The debugging symbols associated with digikam and showfoto. They will
- automatically be used by gdb for debugging digikam-related issues.
+Description: debugging symbols for digiKam
+ The debugging symbols associated with digiKam and showFoto. They will
+ automatically be used by GDB for debugging digiKam-related issues.
 
 Package: digikam-data
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: digikam architecture-independant data
+Description: digiKam architecture-independant data
  Contains the significant amount of architecture-independent data that is
- shipped with digikam.
+ shipped with digiKam.
  .
  It has been placed in an architecture all file so we do not have
  to ship one copy for each architecture.
@@ -125,11 +125,11 @@
 Architecture: all
 Depends: ${misc:Depends}, khelpcenter4
 Recommends: digikam
-Description: handbook for digikam and showfoto in several languages
- Digikam is an easy to use and powerful digital photo management
+Description: handbook for digiKam and showFoto in several languages
+ digiKam is an easy to use and powerful digital photo management
  application.
  .
- This package contains the handbooks for digikam, showfoto and
+ This package contains the handbooks for digiKam, showFoto and
  kipi-plugins from the digikam package.
 
 Package: kipi-plugins
@@ -141,7 +141,7 @@
 Enhances: digikam, gwenview, kphotoalbum, showimg
 Description: image manipulation/handling plugins for KIPI aware programs
  KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
- common plugin structure for Digikam, KPhotoAlbum (formerly known as
+ common plugin structure for digiLam, KPhotoAlbum (formerly known as
  KimDaBa), Showimg and Gwenview.
  Its aim is to share image plugins among graphic applications.
  .