diff --git a/README b/README
index 8651f4e..38a10aa 100644
--- a/README
+++ b/README
@@ -8,6 +8,8 @@ This is a super-repository that helps to download and compile digiKam with all c
 
 - DEPENDENCIES -------------------------------------------------------------
 
+See DEPENDENCIES file for a list.
+
 * To checkout all source code:
 
 - PERL     <http://www.perl.org>
@@ -27,6 +29,38 @@ This is a super-repository that helps to download and compile digiKam with all c
 
 * To compile all source code, take a look on each README files to resolve dependencies.
 
+- INSTALLATION --------------------------------------------------------------
+
+To configure project with CMake, use dedicated "bootstrap" script for your platform. To configure the installation, manually adjust the bootstrap script to your needs. Some options are described in the following.
+
+CMake options:
+
+"-DDIGIKAMSC_COMPILE_DIGIKAM=ON"           Build digiKam core.
+"-DDIGIKAMSC_COMPILE_KIPIPLUGINS=ON"       Build kipi-plugins.
+
+"-DDIGIKAMSC_CHECKOUT_PO=ON"               Extract application translation files from KDE repositories.
+"-DDIGIKAMSC_CHECKOUT_DOC=ON"              Extract documentation translation files from KDE repositories.
+"-DDIGIKAMSC_COMPILE_DOC=ON"               Build handbook i18n files. It require to checkout documentation translations files before from KDE repositories.
+"-DDIGIKAMSC_COMPILE_PO=ON"                Build GUI i18n files. It require to checkout application translations files before from KDE repositories.
+
+"-DCMAKE_BUILD_TYPE"                       Decide which type of build you want. You can chose between:
+        "debugfull"       For hacking. Include all debug information.
+        "debug"
+        "profile"
+        "relwithdebinfo"  Default. use gcc -O2 -g options.
+        "release"         Generate stripped and optimized bin files for packaging.
+
+Developers only options:
+
+"-DBUILD_TESTING=ON"                      Build tests code.
+"-DDIGIKAMSC_COMPILE_LIBKIPI=ON"          Force to compile local libkipi instead of using the version installed on your computer.
+"-DDIGIKAMSC_COMPILE_LIBKFACE=ON"         Force to compile local libkface instead of using the version installed on your computer.
+"-DDIGIKAMSC_COMPILE_LIBKSANE=ON"         Force to compile local libksane instead of using the version installed on your computer.
+"-DDIGIKAMSC_COMPILE_LIBMEDIAWIKI=ON"     Force to compile local libmediawiki instead of using the version installed on your computer.
+"-DDIGIKAMSC_COMPILE_LIBKVKONTAKE=ON"     Force to compile local libkvkontakte instead of using the version installed on your computer.
+
+Look README files from sub-dirs for more options available to configure compilation environnement.
+
 - COMPONENTS ---------------------------------------------------------------
 
 Redmine project pages can be found here :
@@ -111,33 +145,7 @@ See below an example of .gitconfig file working with a developer account :
         untracked = red
 
 [color "sh"]
-        branch = yellow                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             [color "sh"]                                                                                                                                                                                                       
-
-- CMAKE OPTIONS --------------------------------------------------------------
-
-Packaging options:
-
-"-DDIGIKAMSC_COMPILE_DIGIKAM=ON"           Build digiKam core.
-"-DDIGIKAMSC_COMPILE_KIPIPLUGINS=ON"       Build kipi-plugins.
-
-"-DDIGIKAMSC_CHECKOUT_PO=ON"               Extract application translation files from KDE repositories.
-"-DDIGIKAMSC_CHECKOUT_DOC=ON"              Extract documentation translation files from KDE repositories.
-"-DDIGIKAMSC_COMPILE_DOC=ON"               Build handbook i18n files. It require to checkout documentation translations files before from KDE repositories.
-"-DDIGIKAMSC_COMPILE_PO=ON"                Build GUI i18n files. It require to checkout application translations files before from KDE repositories.
-
-Developers only options:
-
-"-DBUILD_TESTING=ON"                       Build tests code.
-"-DDIGIKAMSC_COMPILE_LIBKIPI=OFF"          Force to use local libkipi instead version installed on your computer.
-"-DDIGIKAMSC_COMPILE_LIBKFACE=OFF"         Force to use local libkface instead version installed on your computer.
-"-DDIGIKAMSC_COMPILE_LIBKSANE=OFF"         Force to use local libksane instead version installed on your computer.
-"-DDIGIKAMSC_COMPILE_LIBMEDIAWIKI=OFF"     Force to use local libmediawiki instead version installed on your computer.
-"-DDIGIKAMSC_COMPILE_LIBKVKONTAKE=OFF"     Force to use local libkvkontakte instead version installed on your computer.
-
-
-Look README files from sub-dirs for more options available to configure compilation environnement.
-
-To configure project with CMake, use dedicated "bootstrap" script for your platform.
+        branch = yellow
 
 ------------
 digiKam team
diff --git a/bootstrap.linux b/bootstrap.linux
index a654fa7..fb939b7 100755
--- a/bootstrap.linux
+++ b/bootstrap.linux
@@ -61,7 +61,7 @@ cmake -G "$MAKEFILES_TYPE" . \
       -DCMAKE_INSTALL_PREFIX=$DIGIKAM_INSTALL_PREFIX/ \
       -DKDE_INSTALL_QTPLUGINDIR=$QT_PLUGIN_INSTALL_DIR/ \
       $ADDITIONAL_CMAKE_FLAGS \
-      -DBUILD_TESTING=ON \
+      -DBUILD_TESTING=OFF \
       -DDIGIKAMSC_CHECKOUT_PO=OFF \
       -DDIGIKAMSC_CHECKOUT_DOC=OFF \
       -DDIGIKAMSC_COMPILE_PO=OFF \
diff --git a/bootstrap.macports b/bootstrap.macports
index ff4db8f..e2b9325 100755
--- a/bootstrap.macports
+++ b/bootstrap.macports
@@ -59,7 +59,7 @@ cmake -G "$MAKEFILES_TYPE" . \
       -DCMAKE_BUILD_TYPE=${BUILD_TYPE} \
       -DCMAKE_INSTALL_PREFIX=${INSTALL_PREFIX}/ \
       -DCMAKE_OSX_ARCHITECTURES=${TARGET_TYPE} \
-      -DBUILD_TESTING=ON \
+      -DBUILD_TESTING=OFF \
       -DDIGIKAMSC_CHECKOUT_PO=OFF \
       -DDIGIKAMSC_CHECKOUT_DOC=OFF \
       -DDIGIKAMSC_COMPILE_PO=OFF \
diff --git a/bootstrap.mxe b/bootstrap.mxe
index febc353..8b4ccfa 100755
--- a/bootstrap.mxe
+++ b/bootstrap.mxe
@@ -89,7 +89,7 @@ ${MXE_BUILD_TARGETS}-cmake -G "Unix Makefiles" . \
                            -DCMAKE_LIBRARY_PATH=${CMAKE_PREFIX_PATH}/lib \
                            -DZLIB_ROOT=${CMAKE_PREFIX_PATH} \
                            -DOpenCV_DIR=${MXE_INSTALL_PREFIX}/lib \
-                           -DBUILD_TESTING=ON \
+                           -DBUILD_TESTING=OFF \
                            -DDIGIKAMSC_CHECKOUT_PO=OFF \
                            -DDIGIKAMSC_CHECKOUT_DOC=OFF \
                            -DDIGIKAMSC_COMPILE_PO=OFF \